Description

| propose to make the style for code tag more distinguishable.

Currently, the font-family property is the only property which is set for code tag. So, it is a bit difficult to distinguish text enclosed in

code tag.

It will be easily distinguishable if we set background color for them. It is so common. You can see examples on many sites such as

GitHub and https://bugs.ruby-lang.org/.

[Before]

4# Updated by Redmine Admin about 1 hour ago

The Enumerable mixin provides collection classes with several traversal and searching methods, and
with the ability to sort. The class must provide a method each, which yields successive members of the
collection. If Enumerable#max, #min, or #sort is used, the objects in the collection must also implement a
meaningful <=> operator, as these methods rely on an ordering between members of the collection.

#2

After]

4# Updated by Redmine Admin about 1 hour ago

The Enumerable mixin provides collection classes with several traversal and searching methods, and
with the ability to sort. The class must provide a method each, which yields successive members of the
collection. If Enumerable#max, #min, or #sort is used, the objects in the collection must also implement
a meaningful <=> operator, as these methods rely on an ordering between members of the collection.

#2

Related issues:

Related to Redmine - Feature #12036: Allow backtip for inline code with inlin... Closed

Associated revisions

Revision 18170 - 2019-05-16 10:33 - Go MAEDA
Visually distinguishable style for inline code (#31343).

Patch by Go MAEDA.

History

#1 - 2019-05-13 07:39 - Go MAEDA

- Subject changed from Visually distinguishable code tag style to Visually distinguishable style for code tag

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-05-13 16:34 - Go MAEDA
- File style-for-code-v2.diff added

#3 - 2019-05-15 10:17 - Go MAEDA
- File style-for-code-v3.diff added
https://bugs.ruby-lang.org/

Update the patch.

e Changed the color to rgba(62, 91, 118, 0.08). The previous color rgba(0, 102, 187, 0.05) looks like selected text in some operating system

e Fixed wrong selector
e Fixed that the style is not applied in long text custom fields

#4 - 2019-05-16 10:33 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#5 - 2019-10-02 15:47 - Go MAEDA
- Related to Feature #12036: Allow backtip for inline code with inline block style added
